/*analyzer_style.css | Maneja los Estilos de todas las paginas html*/

body {
  background-image: url("/images/main_background_poker.png");
  background-size: contain;
  color: white;
  font-family: Arial, sans-serif;
  text-align: center;
  overflow: hidden;
}

/* HEADER */
.header-title{
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: left;
  
}

.logo {
  height: 170px;     
  width: auto;
  z-index: 20px;
  position: relative;
  top: -15px;
  left: 10px;
}

.small-label-mode {
  padding: 1px 4px;
  font-size: 12px;
  background-color: #0f0;
  border-color: transparent;
  
}

/* AUTH */
#auth-buttons {
  position: fixed;
  top: 15px;
  right: 20px;
}
.auth-icon {
  width: auto;
  height: 42px;
  cursor: pointer;
  transition: transform 0.2s ease, opacity 0.2s ease;
  border-radius: 8px;
  border-color: transparent;
}

.auth-icon:hover {
  transform: scale(1.1);
  opacity: 0.85;
}
.user-name {
  font-weight: bold;
}

/* MENÚ CENTRAL */
#main-menu {
  display: flex;              /* Hacer los botones en fila */
  justify-content: center;    /* Centrar horizontalmente */
  align-items: center;        /* Centrar verticalmente */
  gap: 5px;                  /* Espacio entre botones */
  margin-top: -112px;           /* Separación con el logo */
}

#main-menu .menu-btn {
  background-color: chocolate;  /* Verde bonito #4CAF50*/
  color: white;
  padding: 10px 20px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: transform 0.2s, background-color 0.2s;
}

#main-menu .menu-btn:hover {
  transform: scale(1.1);
  background-color: #45a049;
}

/* CONTAINER */
#game-container {
  display: flex;
  justify-content: space-between;
  margin: 20px;
  
}

/* CONSOLES */
#history-console {
  height: auto;
  background-color: whitesmoke;
  color:mediumpurple;
  font-family: monospace;
  padding: 10px;
  overflow-y: auto;
  border-radius: 8px;
  font-size: 16.5px;
  width:25%;
  text-align-last: center;
  margin-top: -30px;
  cursor: pointer;
}

.text-consoles:hover {
    color: blue;
    text-decoration: underline;
}

#history-console2 {
  height: 500px;
  background-color: #1a1a1a;
  color:whitesmoke;
  font-family: monospace;
  padding: 10px;
  overflow-y: auto;
  border-radius: 8px;
  font-size: 16.5px;
  width:25%;
  text-align-last: center;
  margin-top: -30px;
}


/* ===== MESA ===== */
#table-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 20px;
  position: relative;
  z-index: 5;
  top: -130px;
  right: -230px;
}

#table {
  width: 850px;
  padding: 70px;
  border-radius: 12px;
  background-color: transparent;
  margin-top: -70px;

  background-image: url("/images/BackgroundPokerTable4.png");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

/* ===== LOGO TIMBOKER CENTRO DE LA MESA ===== */
.logo-timboker {
height: 300px;
width: auto;
z-index: 5000;
top: 320px;

position: absolute; /* para superponer ambos logos */
left: 50%;
transform: translateX(-50%) scale(0.05);
opacity: 0;


transform-origin: center center;
transition: transform 0.7s ease, opacity 0.7s ease;
}


/* animación inicial zoom */
.logo-timboker.active {
transform: translateX(-50%) scale(1);
opacity: 1;
}


/* animación de deslizamiento hacia arriba al desaparecer */
.logo-timboker.hide {
transform: translateX(-50%) translateY(-200px) scale(0.5);
opacity: 0;
}


/* =====ACTIONS =====*/
#actions {
  margin-top: 15px;
}

#action-buttons {
  display: flex;
  justify-content: center;
  gap: 10px;
}

button {
  padding: 6px 14px;
  cursor: pointer;
}

/* CONSOLE TEXTS */

.text-consoles{

  color: dimgray;
  font-size: 20px;
}

.heart-console {
  color: #fa8072;
  font-size: 15px;
}

.club-console {
  color: mediumseagreen;
  font-size: 15px; 
}

.spade-console {
  color: dimgray;
  font-size: 15px;
}

.diamond-console {
  color: rgb(0, 170, 255);
  font-size: 15px;
}

#table2 {
  width: 830px;
  padding: 100px;
  border-radius: 12px;
  background-color: red !important;
  margin-top: -220px;

  background-size: auto;
  background-position: center;
  background-repeat: no-repeat;

  color: #1a1a1a;
}

#manual-table {
 width: 1200px;
 min-height: 420px;
 margin: 0 auto;
 padding: 30px;
 margin-top: -270px;


 background:
 radial-gradient(circle at top, white);
 
 background-size: cover; 
 background-position: center;
 background-repeat: no-repeat;


 border-radius: 18px;
 border: 1px solid gray;


 color: black;
 font-family: monospace;
 box-shadow: 0 0 25px transparent;
}

#manual-content h2 {
  color: black;
  margin-bottom: 12px;
}

#manual-content p,
#manual-content li {
  font-size: 16px;
  line-height: 1.6;
}

#manual-controls {
  margin-top: 25px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.manual-btn {
  background: black;
  color: #7CFC00;
  padding: 8px 16px;
  border-radius: 6px;
  cursor: pointer;
  font-family: monospace;
}

.manual-btn:hover {
  background: #7CFC00;
  color: black;
}

#page-indicator {
  color: #aaa;
  font-size: 14px;
}


/* BOTONES CAMBIO DE IDIOMA */
#language-selector {
display: flex; /* Para alinear las imágenes horizontalmente */
gap: 3px; /* Espacio entre las banderas */
justify-content: flex-end; /* Mueve todo el bloque hacia la derecha */
margin-top: 6px; /* Opcional: separarlo de los botones */
}

#language-selector img {
cursor: pointer; /* Cambia el cursor a la mano */
transition: transform 0.2s; /* Opcional: un pequeño efecto al pasar el mouse */
}

#language-selector img:hover {
transform: scale(1.1); /* Opcional: efecto de zoom al pasar el mouse */
}


/*VIDEO STYLE */
.video-modal {
  display: none;
  position: fixed;
  z-index: 9999;
  inset: 0;
  background: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}

.video-modal-content {
  position: relative;
  width: 80%;
  max-width: 800px;
  background: #000;
  padding: 10px;
  border-radius: 8px;
}

.video-modal video {
  width: 100%;
  height: auto;
}

.close-btn {
  position: absolute;
  top: -10px;
  right: -10px;
  background: #111;
  color: #fff;
  font-size: 14px;
  padding: 6px 8px;
  border-radius: 50%;
  cursor: pointer;
}



















  